﻿:root {
    --bg-primary: #F2530D;
    --bg-primary-dark: #C23A0C;
    --bg-primary-light: #FFEBD5;
    --bg-secondary: #B8D124;
    --bg-secondary-dark: #849A16;
    --bg-secondary-light: #DBE96D;
    --bg-secondary-alt: #647516;
    --bg-white: #fff;
    --bg-black: #000;
    --bg-error-light: #FECACA;
    --bg-lighter: #F4F6F7;
    --bg-light: #E4E8E9;
    --bg-neutral: #CBD3D6;
    --bg-dark: #525F68;
    --bg-darker: #383D41;
    --bg-hover: #383D4105;
    --color-border-light: #E4E8E9;
    --color-border: #CBD3D6;
    --color-border-dark: #383D41;
    --color-border-success: #16A34A;
    --color-border-error: #EF4444;
    --text-primary: #383D41;
    --text-secondary: #475157;
    --text-soft: #677983;
    --text-error: #DC2626;
    --size-8xl: 16rem;
    --size-7xl: 13rem;
    --size-6xl: 10rem;
    --size-5xl: 8rem;
    --size-4xl: 6rem;
    --size-3xl: 4rem;
    --size-2xl: 3rem;
    --size-xl: 2rem;
    --size-lg: 1.5rem;
    --size-md: 1rem;
    --size-sm: 0.75rem;
    --size-xs: 0.5rem;
    --size-2xs: 0.25rem;
    --font-size: 0.875rem;
    --font-size-sm: 0.75rem;
    --border-radius-sm: 3px;
    --border-radius-md: 9px;
    --border-radius-lg: 16px;
    --bs-border-radius: 0.5rem;
}

:root[data-env="test"] {
    --bg-primary: #1da1f2;
    --bg-primary-dark: #0e89d4;
    --bg-primary-light: #36b1fc;
}

:root[data-theme="dark"] {
    --bg-lighter: #161413;
    --bg-light: #161413;
    --bg-white: #000;
    --bg-hover: #24272a;
    --color-border: #161413;
    --color-border-light: #475157;
    --text-primary: #a7c2d2;
    --text-secondary: #7c8e98;
    --text-soft: #7c8e98;
}

body {
    line-height: 150%;
    color: var(--text-primary);
    font-family: 'Open Sans', sans-serif;
}
button, input, optgroup, select, textarea {
    line-height: 150%;
}
a {
    cursor: pointer;
}
mark {
    padding: 0;
    background-color: #feff6d;
}
.color {
    color: var(--bg-primary);
}
.bg-grey {
    background-color: var(--bg-lighter);
}

h1 {
    cursor: default;
    font-size: 2rem;
    font-weight: 700;
    line-height: 110%;
    color: var(--text-primary);
}
h2 {
    cursor: default;
    font-weight: 700;
    line-height: 120%;
    font-size: 1.75rem;
    color: var(--text-primary);
}
h3 {
    cursor: default;
    font-weight: 700;
    line-height: 130%;
    font-size: 1.55rem;
    color: var(--text-primary);
}
h4 {
    cursor: default;
    font-weight: 700;
    line-height: 130%;
    font-size: 1.375rem;
    color: var(--text-primary);
}
h5 {
    cursor: default;
    font-weight: 700;
    line-height: 140%;
    font-size: 1.25rem;
    color: var(--text-primary);
}
h6 {
    cursor: default;
    font-size: 1rem;
    font-weight: 700;
    line-height: 150%;
    color: var(--text-primary);
}
label {
    font-size: 1rem;
    font-weight: 700;
    color: var(--text-primary);
}
dl, ol, ul {
    margin-bottom: 0;
}

.text {
    font-size: 1rem;
    font-weight: 400;
    color: var(--text-secondary);
}
.text.bold {
    font-weight: 700;
}
.text.small {
    font-size: 0.875rem;
}
.text.smaller {
    font-size: 0.75rem;
}


.form-group {
    margin-bottom: var(--size-lg);
}
.form-group label {
    line-height: 150%;
    margin-bottom: var(--size-xs);
}
.form-editor {
    position: relative;
}
.form-display {
    padding: var(--size-xs) 0;
}
.form-textbox {
    width: 100%;
    font-weight: 400;
    box-shadow: none;
    font-size: var(--font-size);
    color: var(--text-secondary);
    background-color: var(--bg-lighter);
    border: 1px solid var(--color-border);
    padding: var(--size-xs) var(--size-sm);
    border-radius: var(--border-radius-md);
}
.form-textbox:active,
.form-textbox:focus-visible,
.form-textbox:focus {
    outline: none;
    box-shadow: none;
    color: var(--text-secondary);
    border-color: var(--bg-primary);
    background-color: var(--bg-lighter);
}
.form-textbox::placeholder {
    color: var(--text-soft);
}
.form-textbox.input-validation-error {
    border-color: var(--color-border-error);
}
.input-icon {
    top: 0.5rem;
    position: absolute;
    font-size: var(--font-size);
}
.input-icon i.action {
    cursor: pointer;
    color: var(--bg-primary);
}
.input-icon i.action:hover {
    color: var(--bg-primary-dark);
}
.input-icon.start {
    left: var(--size-sm);
}
.input-icon.end {
    right: var(--size-sm);
}
.icon-start > .form-textbox {
    padding-left: 2.1rem;
}
.icon-end > .form-textbox {
    padding-right: 2.1rem;
}
.form-summary .validation-summary-errors:has(li) {
    cursor: default;
    margin-bottom: 15px;
    color: var(--text-secondary);
    padding: var(--size-sm) var(--size-md);
    background: var(--bg-error-light) none;
    border-radius: var(--border-radius-md);
    border: 1px solid var(--color-border-error);
}
.form-summary .validation-summary-errors ul {
    padding-left: 1.5rem;
}
.field-validation-error:not(.k-tooltip) {
    display: block;
    margin-top: 8px;
    color: var(--text-error);
    font-size: var(--font-size);
}
.form-buttons {
    display: flex;
    gap: var(--size-xs);
    justify-content: start;
}
.k-window .form-buttons {
    justify-content: end;
}

.front-grey {
    top: 0;
    right: 0;
    width: 50vw;
    z-index: -10;
    height: 100vh;
    position: fixed;
    background-color: var(--bg-lighter);
}
.front-illustration {
    position: fixed;
    left: calc(50% + 40px);
    top: max(calc(50vh - 273px), 100px);
}
.front-col-left {
    width: 50%;
    padding: 0 var(--size-lg) var(--size-lg);
}
.front-header {
    display: flex;
    align-items: center;
    padding-top: var(--size-xl);
    padding-bottom: var(--size-xl);
    justify-content: space-between;
}
.front-header.center {
    justify-content: space-evenly;
}
.front-box {
    background: var(--bg-white) none;
    box-shadow: 0 2px 2px 0 #1717170D;
    border-radius: var(--border-radius-md);
    border: 1px solid var(--color-border-light);
    padding: var(--size-2xl) var(--size-xl) var(--size-xl);
}
.front-box .box-title {
    margin-bottom: var(--size-lg);
}
.front-main-row {
    display: flex;
    align-items: center;
}

.front-panel {
    position: fixed;
    max-width: 500px;
    right: var(--size-xl);
    bottom: var(--size-xl);
    padding: var(--size-lg);
    background-color: var(--bg-white);
    width: calc(100% - var(--size-xl));
    box-shadow: 0 2px 2px 0 #1717170D;
    border-radius: var(--border-radius-md);
    border: 1px solid var(--color-border-light);
}
.front-panel .front-panel-content {
    display: flex;
    gap: var(--size-xl);
    justify-content: flex-start;
}
.front-panel .front-panel-content h6 {
    color: var(--bg-primary);
}
.front-panel .front-panel-content p {
    margin: 0;
    cursor: default;
    color: var(--text-secondary);
    font-size: var(--font-size-sm);
}
.front-panel .panel-icon {
    align-content: center;
    font-size: var(--size-2xl);
    color: var(--bg-secondary-alt);
}
.front-panel .panel-close {
    border: none;
    cursor: pointer;
    background: none;
    align-self: start;
    color: var(--text-secondary);
}



.logo {
    max-height: 50px;
}

@media (min-width: 576px) {
    
}
@media (min-width: 768px) {

}
@media (min-width: 992px) {

    .front-main-row {
        height: calc(100vh - 153px);
    }
    .front-main .front-col-left {
        padding-bottom: 70px;
    }
}
@media (min-width: 1200px) {
    .front-box.box-reduced {
        width: 75%;
    }
}
@media (min-width: 1500px) {
    .container {
        max-width: 1410px;
    }
    .front-box.box-reduced {
        width: 65%;
    }
}

@media (max-width: 1199px) {
    .grid-header-container {
        align-items: normal;
        flex-direction: column;
    }
}
@media (max-width: 991px) {
    .grid-header-container,
    .grid-right-container {
        flex-direction: column;
    }
    .grid-header-container .right-border {
        padding: 0;
        border: none;
        display: flex;
        justify-content: end;
    }
}
@media (max-width: 767px) {
    .k-window {
        width: 100% !important;
    }
    .front-col-left {
        width: 65%;
    }
    .front-grey {
        width: 35vw;
    }
    .front-illustration {
        left: 75%;
    }
}
@media (max-width: 575px) {
    .front-col-left {
        width: 100%;
    }
    .front-grey {
        width: 100%;
    }
    .front-illustration {
        display: none;
    }
    .front-panel {
        left: var(--size-lg);
        bottom: var(--size-lg);
        width: calc(100% - var(--size-lg) - var(--size-lg));
    }
}



/*--- button ---*/
.btn {
    width: auto;
    display: flex;
    font-weight: 600;
    line-height: 150%;
    align-items: center;
    gap: var(--size-xs);
    justify-content: center;
    --bs-btn-font-weight: 600;
    font-size: var(--font-size);
    border-radius: var(--border-radius-md);
    padding: var(--size-sm) var(--size-md);
}
.btn.small {
    font-size: var(--font-size-sm);
    padding: var(--size-xs) var(--size-md);
}
.btn-primary {
    --bs-btn-color: var(--bg-white);
    --bs-btn-bg: var(--bg-primary);
    --bs-btn-border-color: var(--bg-primary);
    --bs-btn-hover-color: var(--bg-white);
    --bs-btn-hover-bg: var(--bg-primary-dark);
    --bs-btn-hover-border-color: var(--bg-primary-dark);
    --bs-btn-active-color: var(--bg-white);
    --bs-btn-active-bg: var(--bg-primary-dark);
    --bs-btn-active-border-color: var(--bg-primary-dark);
    --bs-btn-disabled-bg: var(--bg-primary-dark);
    --bs-btn-disabled-border-color: var(--bg-primary-dark);
}
.btn-secondary {
    --bs-btn-font-weight: 600;
    --bs-btn-color: var(--text-secondary);
    --bs-btn-bg: var(--bg-white);
    --bs-btn-border-color: var(--color-border);
    --bs-btn-hover-color: var(--text-secondary);
    --bs-btn-hover-bg: var(--bg-light);
    --bs-btn-hover-border-color: var(--color-border);
    --bs-btn-active-color: var(--text-secondary);
    --bs-btn-active-bg: var(--bg-light);
    --bs-btn-active-border-color: var(--color-border);
    box-shadow: 0 2px 2px 0 #1717170D;
}

.btn-checkbox {
    font-weight: 400;
    border: 1px solid var(--color-border);
    padding: var(--size-xs) var(--size-sm);
}
.btn-checkbox:hover,
.btn-checkbox:active {
    border: 1px solid var(--bg-primary-light) !important;
}
.btn-checkbox:has(input:checked) {
    border: 1px solid var(--bg-primary);
}
.btn-checkbox > input {
    display: none;
}
.btn-checkbox > i {
    display: none;
    color: var(--bg-primary);
}
.btn-checkbox:has(input:checked) > .fa,
.btn-checkbox:has(input:not(:checked)) > .fa-regular {
    display: block;
}


/*--- dropdown ---*/
.plain-dropdown .dropdown-toggle {
    border: none;
    display: flex;
    background: none;
    align-items: center;
    gap: var(--size-md);
    color: var(--text-primary);
    border-radius: var(--border-radius-md);
    padding: var(--size-2xs) var(--size-sm);
}
.plain-dropdown .dropdown-toggle .chevron {
    font-size: 0.75rem;
}
.plain-dropdown .dropdown-toggle.show,
.plain-dropdown .dropdown-toggle:hover,
.plain-dropdown .dropdown-toggle:active {
    background: var(--bg-hover) none;
}
.plain-dropdown .dropdown-toggle::after {
    display: none;
}
.plain-dropdown .dropdown-menu {
    background-color: var(--bg-white);
    border-radius: var(--border-radius-md);
    border: 1px solid var(--color-border-light);
    padding: var(--size-sm) var(--size-md);
}
.plain-dropdown .dropdown-item {
    gap: 10px;
    display: flex;
    font-weight: 600;
    align-items: center;
    font-size: var(--font-size);
    color: var(--text-primary);
    border-radius: var(--border-radius-md);
    padding: var(--size-xs) var(--size-sm);
    transition: background-color 0.2s ease-in-out;
}
.plain-dropdown .dropdown-menu li {
    margin-bottom: 5px;
}
.plain-dropdown .dropdown-menu li:last-child {
    margin-bottom: 0;
}
.plain-dropdown .dropdown-item:hover {
    background-color: var(--bg-hover);
}
.plain-dropdown i.fa {
    color: var(--text-soft);
}
.plain-dropdown .round-icon {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    object-fit: cover;
}


/*--- switch ---*/
.switch-wrapper {
    display: flex;
    gap: var(--size-sm);
    align-items: center;
}
.switch-wrapper > .switch {
    line-height: 0;
}
.switch input {
    display: none;
}
.switch i {
    cursor: pointer;
    padding-right: var(--size-lg);
    border-radius: var(--size-lg);
    display: inline-block;
    transition: all ease 0.2s;
    box-shadow: inset 0 0 1px rgba(0,0,0,0.5);
}
.switch i:before {
    content: '';
    width: 30px;
    height: 30px;
    display: block;
    background: var(--bg-white);
    border-radius: var(--size-lg);
    box-shadow: 0 1px 2px rgba(0,0,0,0.5);
}
.switch.small i:before {
    width: 20px;
    height: 20px;
}
.switch.small i {
    padding-right: var(--size-md);
}
.switch input:checked + input[type="hidden"] + i,
.switch input:checked + i {
    padding-right: 0;
    padding-left: var(--size-lg);
}
.switch.small input:checked + input[type="hidden"] + i,
.switch.small input:checked + i {
    padding-right: 0;
    padding-left: var(--size-md);
}
.switch.success input[type="checkbox"]:checked + input[type="hidden"] + i,
.switch.success input[type="checkbox"]:checked + i {
    box-shadow: inset 0 0 1px rgba(0,0,0,0.5),inset 0 0 50px #60cd9b;
}
.switch.info input[type="checkbox"]:checked + input[type="hidden"] + i,
.switch.info input[type="checkbox"]:checked + i {
    box-shadow: inset 0 0 1px rgba(0,0,0,0.5),inset 0 0 50px #66b5d7;
}
.switch.info input[type="checkbox"]:checked:disabled + i {
    box-shadow: inset 0 0 1px rgba(0,0,0,0.5),inset 0 0 50px #9ccbe0;
}
.switch.warning input[type="checkbox"]:checked + input[type="hidden"] + i,
.switch.warning input[type="checkbox"]:checked + i {
    box-shadow: inset 0 0 1px rgba(0,0,0,0.5),inset 0 0 50px #eb9316;
}
.switch.danger input[type="checkbox"]:checked + input[type="hidden"] + i,
.switch.danger input[type="checkbox"]:checked + i {
    box-shadow: inset 0 0 1px rgba(0,0,0,0.5),inset 0 0 50px #e87352;
}